be.fgov.ehealth.dics.protocol.v5

## Class FindChapterIVParagraphResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.dics.protocol.v5.DicsResponseType
    - - be.fgov.ehealth.dics.protocol.v5.FindChapterIVParagraphResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:32:36+02:00",
                 comments="JAXB RI v2.3.7")
      public class FindChapterIVParagraphResponse
      extends DicsResponseType
      implements Serializable

  Java class for FindChapterIVParagraphResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindChapterIVParagraphResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
             <sequence minOccurs="0">
               <element name="Paragraph" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVParagraphType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindChapterIVParagraphResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultChapterIVParagraphType>` | `getParagraphs()` Gets the value of the paragraphs property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

      `getSamId, getSearchDate, setSamId, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindChapterIVParagraphResponse

          public FindChapterIVParagraphResponse()

  - ### Method Detail

    - #### getParagraphs

          public List<ConsultChapterIVParagraphType> getParagraphs()

      Gets the value of the paragraphs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the paragraphs property.

      For example, to add a new item, do as follows:

              getParagraphs().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultChapterIVParagraphType`

Connector Packaging PERSPRACTICALNURSE 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.